com.threerings.parlor.card.trick.server

## Interface TrickCardGameProvider

All Superinterfaces:
  com.threerings.presents.server.InvocationProvider

All Known Implementing Classes:
  TrickCardGameManagerDelegate

    @Generated(value="com.threerings.presents.tools.GenServiceTask",
               comments="Derived from TrickCardGameService.java.")
    public interface TrickCardGameProvider
    extends com.threerings.presents.server.InvocationProvider

Defines the server-side of the `TrickCardGameService`.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `playCard(com.threerings.presents.data.ClientObject caller, Card arg1, int arg2)` Handles a `TrickCardGameService.playCard(com.threerings.parlor.card.data.Card, int)` request.
`void` `requestRematch(com.threerings.presents.data.ClientObject caller)` Handles a `TrickCardGameService.requestRematch()` request.
`void` `sendCardsToPlayer(com.threerings.presents.data.ClientObject caller, int arg1, Card[] arg2)` Handles a `TrickCardGameService.sendCardsToPlayer(int, com.threerings.parlor.card.data.Card[])` request.

### Method Detail

#### playCard

    void playCard(com.threerings.presents.data.ClientObject caller,
                  Card arg1,
                  int arg2)

Handles a `TrickCardGameService.playCard(com.threerings.parlor.card.data.Card, int)` request.

#### requestRematch

    void requestRematch(com.threerings.presents.data.ClientObject caller)

Handles a `TrickCardGameService.requestRematch()` request.

#### sendCardsToPlayer

    void sendCardsToPlayer(com.threerings.presents.data.ClientObject caller,
                           int arg1,
                           Card[] arg2)

Handles a `TrickCardGameService.sendCardsToPlayer(int, com.threerings.parlor.card.data.Card[])` request.